From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 14 May 2017<P>

Just L, yeah. I guess the biggest romances in my history, the ones that left the biggest mark or most changed my course (hell, the one that caused me to collect the raw material that became the early Love Blender) weren't the ones that lasted. Ain't no love like unrequited love. <BR>
<BR>
The caveat to that is what do we look for in long term relationships, then? I think it's still something people seek after, and with good reason.  I guess maybe those are somehow... I dunno, wide but not as deep, as penetrating?  But that seems a little mopey.
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 14 May 2017<P>

An odd mixed-feeling milestone this month: every work submitted in April made it to the front page. <BR>
<BR>
For a while, the mass of the Blender has dwindled to the extent that I could take at least one poem from every submitter, more or less. I didn't mind so much, because the quality was still good - the stalwart crew here still writes good stuff from the heart. But we're a far way from the 2002 era of 500 poems a month! (mercifully). I guess in a way the main difference this month is not many people submitted multiples, which is fine.<BR>
<BR>
In <a href="http://loveblender.com/2009march/feature.html">http://loveblender.com/2009march/feature.html</a> I made a ramble and a graph on that -- I think if continued it would just be a "long tail" to the right... but a very long tail, that was 8 years ago, 2/3 as long as the space that graph covers.<BR>
<BR>
So no plans to do anything but keep on keeping on. I'll probably never know if I had pushed harder or smarter if the place would have maintained its population, or if Youtube and Facebook just made it so there was always more interesting stuff to do. (Heh, maybe making this a pure Facebook page? We would lose some people, but FB really has great commenting and notification and sharing features.<BR>
<BR>
Still it reminds me of this exchange between Vision and Ultron in one of those Marvel movies:<BR>
Vision: Humans are odd. They think order and chaos are somehow opposites and try to control what won't be. But there is grace in their failings. I think you missed that.<BR>
Ultron: They're doomed!<BR>
Vision: Yes... but a thing isn't beautiful because it lasts. It is a privilege to be among them.
<HR>